Skip to main content
GET
/
customers
/
{customer_id}
Get customer by ID
curl --request GET \
  --url https://api.zenskar.com/customers/{customer_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "customer_name": "Acme Corporation",
  "email": "billing@acme.com",
  "phone": "+1-555-0100",
  "billing_address": {
    "street": "123 Business Ave",
    "city": "San Francisco",
    "state": "CA",
    "postal_code": "94102",
    "country": "US"
  },
  "custom_data": {
    "industry": "Technology",
    "company_size": "50-200"
  },
  "created_at": "2023-01-01T00:00:00",
  "updated_at": "2023-06-15T10:30:00"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string<uuid>
required

Response

Successfully retrieved customer

Create Customer Response Schema

id
string<uuid>
required

Customer ID

external_id
string | null
required

External Customer Id

customer_name
string
required

Customer name

custom_data
Custom Data · object
required

Customer Custom Data

address
AddressResponse · object
required

Customer address

ship_to_address
AddressResponse · object

Customer Ship To address

tax_info
TaxId · object[] | null

Customer Tax Ids

phone_number
string | null

Customer Phone Number

email
string | null

Customer primary email address

contacts
ContactResponseSchema · object[] | null

List of associated contacts

custom_attributes
Custom Attributes · object

Customer Tags

communications_enabled
boolean | null
default:true

To enable/disable communications

auto_charge_enabled
boolean | null
default:true

To enable/disable auto-charge

invoice_details
InvoiceDetailsObject · object

Invoice Details Object

created_at
string<date-time> | null

Created At

updated_at
string<date-time> | null

Updated At

default_payment_method
CustomerPaymentMethodsResponseSchema · object

default_payment_method

business_entity_id
string<uuid> | null

Business Entity Id

business_entity
BusinessEntityResponseSchema · object

Business Entity